# TrackerEndpoint

TrackerEndpoint allows sharing data, either with other processes on the system via a Tracker-specific D-Bus API, or remote peers via the HTTP SPARQL protocol.

When it is shared in this way, other peers can connect to your database using tracker_sparql_connection_bus_new or tracker_sparql_connection_remote_new, and can also fetch data directly from SPARQL queries using the <userinput>SELECT { SERVICE ... }</userinput> syntax.

## TrackerEndpoint

    GObject
        ╰──TrackerEndpoint
            ╰──TrackerEndpointDBus
            ╰──TrackerEndpointHttp

The <structname>TrackerEndpoint</structname> object represents a public connection to a TrackerSparqlConnection.

### Members

`parent_instance` (GObject) –
No description available

### Class structure

#### TrackerEndpointClass

### Tracker.EndpointClass

## Tracker.Endpoint

    GObject.Object
        ╰──Tracker.Endpoint
            ╰──Tracker.EndpointDBus
            ╰──Tracker.EndpointHttp

The <structname>TrackerEndpoint</structname> object represents a public connection to a Tracker.SparqlConnection.

### Members

`parent_instance` (GObject.Object) –
No description available

## Tracker.Endpoint

    GObject.Object
        ╰──Tracker.Endpoint
            ╰──Tracker.EndpointDBus
            ╰──Tracker.EndpointHttp

The <structname>TrackerEndpoint</structname> object represents a public connection to a Tracker.SparqlConnection.

### Members

`parent_instance` (GObject.Object) –
No description available

### Methods

#### tracker_endpoint_get_sparql_connection

    TrackerSparqlConnection *
    tracker_endpoint_get_sparql_connection (TrackerEndpoint * endpoint)

Returns the TrackerSparqlConnection that this endpoint proxies.

Parameters:

`endpoint` –

a TrackerEndpoint

Returns ( [transfer: none]) –

The proxied SPARQL connection

#### Tracker.Endpoint.prototype.get_sparql_connection

    function Tracker.Endpoint.prototype.get_sparql_connection(): {
        // javascript wrapper for 'tracker_endpoint_get_sparql_connection'
    }

Returns the Tracker.SparqlConnection that this endpoint proxies.

Parameters:

`endpoint` (Tracker.Endpoint) –

a Tracker.Endpoint

Returns (Tracker.SparqlConnection) –

The proxied SPARQL connection

#### Tracker.Endpoint.get_sparql_connection

    def Tracker.Endpoint.get_sparql_connection (self):
        #python wrapper for 'tracker_endpoint_get_sparql_connection'

Returns the Tracker.SparqlConnection that this endpoint proxies.

Parameters:

`endpoint` (Tracker.Endpoint) –

a Tracker.Endpoint

Returns (Tracker.SparqlConnection) –

The proxied SPARQL connection

### Properties

#### sparql-connection

    “sparql-connection” TrackerSparqlConnection *

Flags : Read / Write / Construct Only

#### sparql-connection

    “sparql-connection” Tracker.SparqlConnection

Flags : Read / Write / Construct Only

#### sparql_connection

    “self.props.sparql_connection” Tracker.SparqlConnection

Flags : Read / Write / Construct Only

## Constants

### TRACKER_TYPE_ENDPOINT

    #define TRACKER_TYPE_ENDPOINT tracker_endpoint_get_type()

The results of the search are